<?php

namespace FeverTree\ZeroPayRepayment\Helper;

use Magento\Framework\App\Helper\AbstractHelper;

class FinalPrice extends AbstractHelper
{
    /**
     * Constructor.
     *
     * @param Magento\Framework\HTTP\Client\Curl $curl
     */
    public function __construct(
        \Magento\Framework\App\Helper\Context $context

    ) {
        parent::__construct($context);
    }

    public function getFinalPriceText($priceArray)
    {

        // $priceArray will contain the current products prices
        $priceFinal = $priceArray["price_final"];
        $priceOld = $priceArray["price_old"];

        if (empty($priceFinal)) {
            $priceFinal = $priceOld;
        }

        $instalment = $this->zeropay_calculate_instalment($priceFinal);
        return $instalment;
    }

    public function getFinalPriceConfigurableText($priceArray)
    {
        // $priceArray will contain the current products prices
        $priceFinal = $priceArray["price_final"];
        $priceOld = $priceArray["price_old"];

        if (empty($priceFinal)) {
            $priceFinal = $priceOld;
        }

        $instalment = $this->zeropay_calculate_instalment($priceFinal);
        return  $instalment;
    }

    public function zeropay_calculate_instalment($base)
    {
        $maxTerm = 3;
        $amount = ($base) - (floor(($base * 100) / $maxTerm) / 100 + floor(($base * 100) / $maxTerm) / 100);
        return number_format(round($amount, 2), 2, '.', '');
    }
}
